Bug Hunting Session
Bug 85470 - FILESAVE Very long time spent saving XLSX as XLS
Summary: FILESAVE Very long time spent saving XLSX as XLS
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords: filter:xls, haveBacktrace, perf
Depends on:
Blocks: Save XLS
  Show dependency treegraph
 
Reported: 2014-10-26 09:32 UTC by tommy27
Modified: 2019-05-13 09:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Perf flamegraph (247.34 KB, image/svg+xml)
2019-04-18 20:24 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tommy27 2014-10-26 09:32:53 UTC
load .XLSX attachment 108343 [details] from Bug 85399 in 4.4.x master (it will take a few seconds but that's not the point of the current report) then save it as .XLS; LibO hangs while saving.

I can't test with 4.3.2.2 since in my laptot that file hangs the 4.3.x versions.
Comment 1 tommy27 2014-10-26 09:34:05 UTC
tested using 4.4.0.0.alpha1+
Build ID: 6ba8b7f5eacac969e4781d63718083a05491b1bc
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-24_02:23:51

here's my configuration (it's a 5 years old laptop):

O/S: Microsoft Windows 7 Professional 64-bit SP1
CPU: Intel Mobile Core 2 Duo @ 2.26GHz	
RAM: 4,00GB Dual-Channel DDR2 @ 399MHz (6-6-6-18)
Motherboard: Inventec 1505 (CPU)
Comment 2 A (Andy) 2014-10-26 10:09:10 UTC
Reproducible already with LO 4.3.2.2 (Win 8.1):
LO shows "Not Responding" and after about ca. 1 minute I quit it (to load it took about 1 minute).
Comment 3 Buovjaga 2014-10-26 10:13:59 UTC
Doesn't hang indefinitely. It saves in about 5 minutes for me.
It says in the end:

Warning saving the document Q42014_EURO_EMEA_Recommended_Enduser_PriceList_10232014_4322:
The document contains more rows than supported in the selected format.
Additional rows were not saved.

Win 7 64-bit 4.3.2.2 and dev build Version: 4.4.0.0.alpha1+
Build ID: 0a82645c360158f9cc0fdabe2a52f1ff8f981bed
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-24_06:59:23
Comment 4 tommy27 2015-01-10 13:30:06 UTC
tested under Win8.1 x64 using:
4.5.0.0.alpha0+
Build ID: 90d8f4fca566e46171b260ee3aadc655871c92ba
TinderBox: Win-x86@42, Branch:master, Time: 2015-01-10_00:24:59
Locale: it_IT

had to kill LibO after 10 minutes. the program got frozen trying to save as .XLS
Comment 5 tommy27 2015-06-17 09:12:21 UTC
still hangs LibO 4.4.3.2 too.
Comment 6 tommy27 2015-06-27 06:54:27 UTC
hangs too with LibO 5.1.0.0.alpha1+ 
Build ID: df7595a5f5871f8343e4ee3869ad153e3ae4a7f3
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-25_14:29:31
Locale: en-US (it_IT)
Comment 7 Robinson Tryon (qubit) 2015-12-09 18:08:29 UTC Comment hidden (no-value, obsolete)
Comment 8 QA Administrators 2017-01-03 19:43:26 UTC Comment hidden (obsolete)
Comment 9 tommy27 2017-01-03 23:29:25 UTC
still hangs in LibO 5.4.0.0 alpha
Comment 10 Thomas Woltjer 2017-02-11 23:39:50 UTC
Also hanging here. 

Version: 5.3.0.3
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; Layout Engine: new; 
Locale: en-US (en_US.utf8); Calc: group
Comment 11 QA Administrators 2018-02-12 03:31:11 UTC Comment hidden (obsolete)
Comment 12 Roman Kuznetsov 2019-02-15 21:38:22 UTC
still repro in

Version: 6.3.0.0.alpha0+
Build ID: c57dc7d41bd62f933cffab6131edb7252606382d
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 13 Buovjaga 2019-04-18 20:24:26 UTC
Created attachment 150864 [details]
Perf flamegraph

It takes over 7 minutes now.

Nice plateaus seen in the graph.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 1fee3f1da6291bfbcd75455512726215d41b3e83
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 18 April 2019
Comment 14 Xisco Faulí 2019-04-27 14:34:25 UTC
it takes

real	11m22,041s
user	11m22,989s
sys	0m0,974s

Version: 6.3.0.0.alpha0+
Build ID: 3ab6d246cc44617af5ed416b5d49f2f35b61ceea
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, I thought you might be interested in this issue...
Comment 15 Commit Notification 2019-05-10 16:41:12 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a49f9359d27bf3ca38ddff7ad0920daac8e1bb8d%5E%21

tdf#85470 FILESAVE Very long time spent saving XLSX as XLS

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Buovjaga 2019-05-12 11:14:59 UTC
Verified, thanks!

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 7bc6a7187c26690c64acb397e68d921be71e362e
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 12 May 2019
Comment 17 Xisco Faulí 2019-05-13 09:06:30 UTC
(In reply to Xisco Faulí from comment #14)
> it takes
> 
> real	11m22,041s
> user	11m22,989s
> sys	0m0,974s
> 
> Version: 6.3.0.0.alpha0+
> Build ID: 3ab6d246cc44617af5ed416b5d49f2f35b61ceea
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> @Noel, I thought you might be interested in this issue...

It takes

real	0m10,906s
user	0m11,942s
sys	0m0,854s

in

Version: 6.3.0.0.alpha0+
Build ID: 630db80d17616d635cf2e5f1d5a0852428b794a3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

such a nice improvement. @Noel, thanks a lot!